#include "MCF51EM256_sysinit.h"

void __initialize_hardware(void)
{
	asm{
		/* In order to clear the tamper status bit 
		 * Vbat must have voltage on it and the 
		 * IRTC registers must be unlocked. Otherwise 
		 * if interrupts are enabled the processor
		 * will go into an interrupt routine after
		 * every instruction, until the tamper status
		 * bit is cleared.
		 */ 
		
		/* Unlock the IRTC registers */ 
		clr d0
		move.w d0,IRTC_CTRL
		mov3q #1,d0
		move.w d0,IRTC_CTRL
		mov3q #3,d0
		move.w d0,IRTC_CTRL
		mov3q #2,d0
		move.w d0,IRTC_CTRL
		/* Clear Tamper Status Bit */
		mov3q #1,d0
		move.w d0,IRTC_ISR
	}
}
