/*
 * File:		51EM_sysinit.h
 * Purpose:		Initialize hardware
 *
 * Notes:
 *
 */

#ifndef __51EM_SYSINIT_H__
#define __51EM_SYSINIT_H__

#define IRTC_CTRL 0xFFFF8650
#define IRTC_ISR 0xFFFF8654

#ifdef __cplusplus
extern "C" {
#endif

/********************************************************************/
/* __initialize_hardware Startup code routine
 * 
 * __initialize_hardware is called by the startup code right after reset, 
 * with interrupt disabled and SP pre-set to a valid memory area.
 * Here you should initialize memory and some peripherics;
 * at this point global variables are not initialized yet.
 * The startup code will initialize SP on return of this function.
 */
void __initialize_hardware(void);


#ifdef __cplusplus
}
#endif

#endif /* __51EM_SYSINIT_H__ */
