/*********************************************************************
*                SEGGER Microcontroller GmbH & Co. KG                *
*                        The Embedded Experts                        *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2016 SEGGER Microcontroller GmbH & Co. KG         *
*                                                                    *
*     Internet: segger.com   Support: support_embos@segger.com       *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system for microcontrollers      *
*                                                                    *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       OS version: 4.16                                             *
*                                                                    *
**********************************************************************

----------------------------------------------------------------------
File    : BSP.c
Purpose : BSP for Freescale DEMOQE eval board
--------  END-OF-HEADER  ---------------------------------------------
*/

#include "BSP.h"
#include "RTOS.h"

/*********************************************************************
*
*       Defines
*
**********************************************************************
*/

/****** Addresses of sfrs and peripheral identifiers ****************/
#define PTCDD   (*(volatile OS_U8*) (0xFFFF8005))  // Port C Data Direction Register
#define PTCSET  (*(volatile OS_U8*) (0xFFFF9878))  // Port C Data Set Register
#define PTCCLR  (*(volatile OS_U8*) (0xFFFF987A))  // Port C Data Clear Register
#define PTCTOG  (*(volatile OS_U8*) (0xFFFF987C))  // Port C Data Toggle Register

/*********************************************************************
*
*       Global functions
*
**********************************************************************
*/

/*********************************************************************
*
*       BSP_Init()
*/
void BSP_Init(void) {
  PTCDD  = 0x03;  // Leds at Pin0 and Pin1
  PTCSET = 0x03;
}

/*********************************************************************
*
*       LED switching routines
*       LEDs are switched on with low level on port lines
*/
void BSP_SetLED(int Index) {
  PTCSET = (OS_U8)(1 << Index);           
}

void BSP_ClrLED(int Index) {
  PTCCLR = (OS_U8)(1 << Index);           
}

void BSP_ToggleLED(int Index) {
  PTCTOG = (OS_U8)(1 << Index);           
}

/****** EOF *********************************************************/


